View Issue Details

IDProjectCategoryView StatusLast Update
0000503bareos-core[All Projects] directorpublic2016-03-30 16:44
ReporterfrankAssigned Tojoergs 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version15.2.0 
Target VersionFixed in Version 
Summary0000503: Config reload leads to director crash if a duplicate console resource named "xyz" is present
DescriptionIf you define two consoles with the same name and reload the config via bconsole the director crashes without giving any message.

Restarting the service by systemd in that case gives a valid journal entry, which is fine.

Aug 12 11:53:46 host1 bareos-dir[1845]: 12-Aug 11:53 bareos-dir: ERROR TERMINATION at dird_conf.c:2902
Aug 12 11:53:46 host1 bareos-dir[1845]: Attempt to define second Console resource named "webui" is not permitted.

A configuration reload in bconsole should also give such a message.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionwill care
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impactyes
bareos-15.2: actionwill care
bareos-14.2: impactyes
bareos-14.2: actionnone
bareos-13.2: impactyes
bareos-13.2: actionnone
bareos-12.4: impactyes
bareos-12.4: actionnone

Relationships

has duplicate 0000637 closed director crash on config reload 

Activities

mvwieringen

mvwieringen

2015-10-16 19:47

developer   ~0001882

Fix committed to bareos master branch with changesetid 5702.

Related Changesets

bareos: master 3b5169b5

2015-10-07 17:31:36

joergs


Committer: mvwieringen

Ported: N/A

Details Diff
cleanup reload_config command

reload config command is callable as signal handler for SIGHUP
and by the bconsole reload command.

Make sure, that the SIGHUP handler is only called once.

Do not terminate the director in case of config errors.

Fixes 0000491: bareos-dir dies on reload if config has typos
Fixes 0000503: Config reload leads to director crash if a duplicate resource named is present
Affected Issues
0000491, 0000503
mod - src/console/console_conf.c Diff File
mod - src/dird/dird.c Diff File
mod - src/dird/dird_conf.c Diff File
mod - src/dird/ua_cmds.c Diff File
mod - src/filed/filed_conf.c Diff File
mod - src/lib/parse_conf.c Diff File
mod - src/lib/parse_conf.h Diff File
mod - src/qt-console/bat_conf.cpp Diff File
mod - src/qt-tray-monitor/tray_conf.cpp Diff File
mod - src/stored/stored_conf.c Diff File

Issue History

Date Modified Username Field Change
2015-08-12 12:09 frank New Issue
2015-10-07 18:47 joergs Assigned To => joergs
2015-10-07 18:47 joergs Status new => assigned
2015-10-07 18:48 joergs bareos-master: impact => yes
2015-10-07 18:48 joergs bareos-master: action => will care
2015-10-07 18:48 joergs bareos-15.2: impact => yes
2015-10-07 18:48 joergs bareos-15.2: action => will care
2015-10-07 18:48 joergs bareos-14.2: impact => yes
2015-10-07 18:48 joergs bareos-14.2: action => none
2015-10-07 18:48 joergs bareos-13.2: impact => yes
2015-10-07 18:48 joergs bareos-13.2: action => none
2015-10-07 18:48 joergs bareos-12.4: impact => yes
2015-10-07 18:48 joergs bareos-12.4: action => none
2015-10-16 19:47 mvwieringen Changeset attached => bareos master 3b5169b5
2015-10-16 19:47 mvwieringen Note Added: 0001882
2015-10-16 19:47 mvwieringen Status assigned => resolved
2015-10-16 19:47 mvwieringen Resolution open => fixed
2016-03-30 16:44 mvwieringen Relationship added has duplicate 0000637